#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 37. LXDE Desktop

- Prev

  PCManFM-1.3.2

- Next

  LXPanel-0.10.1

- Up
- Home

# libwnck-2.30.7

## Introduction to libwnck

The libwnck package contains a Window Navigator Construction Kit.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libwnck/2.30/libwnck-2.30.7.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/libwnck/2.30/libwnck-2.30.7.tar.xz

- Download MD5 sum: 3d20f26105a2fd878899d6ecdbe9a082

- Download size: 612 KB

- Estimated disk space required: 16 MB

- Estimated build time: 0.2 SBU

### libwnck Dependencies

#### Required

GTK+-2.24.33

#### Recommended

startup-notification-0.12

#### Optional

gobject-introspection-1.70.0 and GTK-Doc-1.33.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libwnck2

## Installation of libwnck

Install libwnck by running the following commands:

    ./configure --prefix=/usr \
                --disable-static \
                --program-suffix=-1 &&
    make GETTEXT_PACKAGE=libwnck-1

This package does not come with a test suite.

Now, as the `root` user:

    make GETTEXT_PACKAGE=libwnck-1 install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--program-suffix=-1`: This option adds -1 to the end of the names of the installed programs to avoid overwriting the programs installed by libwnck-40.1.

`GETTEXT_PACKAGE=libwnck-1`: This parameter adds -1 to the end of the names of the gettext files installed by the package to avoid overwriting the files installed by libwnck-40.1.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: wnckprop-1 and wnck-urgency-monitor-1
Installed Library: libwnck-1.so
Installed Directories: /usr/include/libwnck-1.0 and /usr/share/gtk-doc/html/libwnck-1.0

### Short Descriptions

wnckprop-1 | Prints, modifies, or interacts with the properties of a screen/workspace/window
`libwnck-1.so` | contains functions for writing pagers and task lists

Last updated on

- Prev

  PCManFM-1.3.2

- Next

  LXPanel-0.10.1

- Up
- Home